Bug 231740 - X doesn't start with mda driver
X doesn't start with mda driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-10 19:20 EST by Carl Sopchak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.1.1-47.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 10:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (4.51 KB, application/octet-stream)
2007-03-10 19:20 EST, Carl Sopchak
no flags Details

  None (edit)
Description Carl Sopchak 2007-03-10 19:20:00 EST
Description of problem:
When X is starting using the mga driver, the graphics adapter starts it's
initialization (3 or 4 text lines are displayed momentarily on the screen), but
then the output from the adapter drops (screen shows "no input" message), and
the system hangs hard (keyboard and network unresponsive).

Version-Release number of selected component (if applicable):
xorg-X11-server-Xorg-1.1.1-47.6.fc6.i386
xorg-X11-server-Xvfb-1.1.1-47.6.fc6.i386
xorg-X11-server-Xnest-1.1.1-47.6.fc6.i386
xorg-X11-drv-mga-1.4.5-2.fc6.i386

This also happens with xorg-X11-server components release 47.7.  

How reproducible:
Always fails with above components.

Steps to Reproduce:
1. Install above components
2. Start X.
3.
  
Actual Results:
System hangs hard.

Expected results:
X starts normally.

Additional info:

1) I rolled back to xorg-X11-server components release 47.5 and the problem went
away, so this is a regression issue...

2) This was on a dual-head, dual graphics adapter system.  The second graphics
card is an nVidia using the nv driver.  There was no problem with the nv device
using these server components.  This release also seems to work fine on a laptop
using the r128 driver.

3) The three server components were all updated at the same time (with yum
update), so I'm not sure which might be the culprit.
Comment 1 Carl Sopchak 2007-03-10 19:20:00 EST
Created attachment 149783 [details]
xorg.conf
Comment 2 Matěj Cepl 2007-04-02 10:40:19 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Carl Sopchak 2007-04-13 11:49:41 EDT
Well, U just updated to version 47.8 of these packages, and the problem seems to
have "gone away".  If you'd like, I can supply the info requested using version
47.7, but I'm not sure it's worth the effort...

This was wierd, though:  THis is what I get when I run rpm and yum against these
packages:

$ rpm -q xorg-X11-server-Xvfb xorg-X11-server-Xnest xorg-X11-server-Xorg
package xorg-X11-server-Xvfb is not installed
package xorg-X11-server-Xnest is not installed
package xorg-X11-server-Xorg is not installed
[3] sopchak@cegis4 11:44 AM ~
$ yum info xorg-X11-server-Xvfb xorg-X11-server-Xnest xorg-X11-server-Xorg
Setting up repositories
Reading repository metadata in from local files
[4] sopchak@cegis4 11:44 AM ~
$ yum info "xorg-X11-server-*"
Setting up repositories
Reading repository metadata in from local files
Installed Packages
Name   : xorg-x11-server-Xnest
Arch   : i386
Version: 1.1.1
Release: 47.8.fc6
Size   : 3.7 M
Repo   : installed
Summary: A nested server.

Description:
Xnest is an X server, which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.


Name   : xorg-x11-server-Xorg
Arch   : i386
Version: 1.1.1
Release: 47.8.fc6
Size   : 8.2 M
Repo   : installed
Summary: Xorg X server

Description:
X.org X11 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.


Name   : xorg-x11-server-Xvfb
Arch   : i386
Version: 1.1.1
Release: 47.8.fc6
Size   : 4.0 M
Repo   : installed
Summary: A X Windows System virtual framebuffer X server.

Description:
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb simulates a dumb framebuffer using virtual memory.  Xvfb does
not open any devices, but behaves otherwise as an X display.  Xvfb
is normally used for testing servers.


rpm -q reports "not installed", yum info on the explicit packages seems to "just
die", but yum info with a glob shows them installed.  Very wierd!

Carl
Comment 4 Carl Sopchak 2007-04-13 11:50:52 EDT
That was supposed to be: "Well, I just updated..."  :-}
Comment 5 Matěj Cepl 2007-04-16 10:55:41 EDT
Case sensitivity -- the proper name of the packages should be
xorg-x11-server-Xvfb, xorg-x11-server-Xorg, and xorg-x11-server-Xnest

Note You need to log in before you can comment on or make changes to this bug.